libaspectj-maven-plugin-java_1.10-1_all.deb


Advertisement

Description

libaspectj-maven-plugin-java - AspectJ compiler Maven Plugin

Property Value
Distribution Debian Sid
Repository Debian Main amd64
Package name libaspectj-maven-plugin-java
Package version 1.10
Package release 1
Package architecture all
Package type deb
Installed size 78 B
Download size 52.99 KB
Official Mirror ftp.br.debian.org
Description -

Alternatives

Package Version Architecture Repository
libaspectj-maven-plugin-java_1.10-1_all.deb 1.10 all Debian Main
libaspectj-maven-plugin-java - - -

Requires

Name Value
libaspectj-java -
libdoxia-core-java >= 1.7
libdoxia-sitetools-java >= 1.7.4
libmaven-reporting-api-java >= 3.0
libmaven-reporting-impl-java >= 3.0.0
libmaven3-core-java >= 3.5.0
libplexus-utils2-java >= 2.x

Download

Type URL
Binary Package libaspectj-maven-plugin-java_1.10-1_all.deb
Source Package aspectj-maven-plugin

Install Howto

  1. Update the package index:
    # sudo apt-get update
  2. Install libaspectj-maven-plugin-java deb package:
    # sudo apt-get install libaspectj-maven-plugin-java

Files

Path
/usr/share/doc/libaspectj-maven-plugin-java/changelog.Debian.gz
/usr/share/doc/libaspectj-maven-plugin-java/copyright
/usr/share/lintian/overrides/libaspectj-maven-plugin-java
/usr/share/maven-repo/org/codehaus/mojo/aspectj-maven-plugin/1.10/aspectj-maven-plugin-1.10.jar
/usr/share/maven-repo/org/codehaus/mojo/aspectj-maven-plugin/1.10/aspectj-maven-plugin-1.10.pom

Changelog

2017-08-31 - Emmanuel Bourg <ebourg@apache.org>
aspectj-maven-plugin (1.10-1) unstable; urgency=medium
* Team upload.
* New upstream release
- Keep the profiles in the pom to resolve the path to tools.jar
(Closes: #767982)
- Depend on libmaven3-core-java instead of libmaven2-core-java
* Depend on junit4 instead of junit
* Build with the DH sequencer instead of CDBS
* Standards-Version updated to 4.1.0
* Switch to debhelper level 10
* Use secure Vcs-* URLs
* Updated the Homepage field
* Track and download the new releases from GitHub
2014-10-24 - Emmanuel Bourg <ebourg@apache.org>
aspectj-maven-plugin (1.7-1) unstable; urgency=medium
* New upstream release
- Depend on libaspectj-java >= 1.8.2
- Ignore the maven-enforcer-plugin
* Removed the unused build dependency on maven
* Updated Standards-Version to 3.9.6 (no changes)
* Moved the package to Git
2013-11-04 - Emmanuel Bourg <ebourg@apache.org>
aspectj-maven-plugin (1.5-1) unstable; urgency=low
* New upstream release
* Updated Standards-Version to 3.9.5 (no changes)
* Build depend on debhelper >= 9
* Use XZ compression for the upstream tarball
2013-06-22 - Emmanuel Bourg <ebourg@apache.org>
aspectj-maven-plugin (1.4-1) unstable; urgency=low
* Initial release (Closes: #713019)

See Also

Package Description
libaspell-dev_0.60.7~20110707-5_amd64.deb Development files for applications with GNU Aspell support
libaspell15_0.60.7~20110707-5_amd64.deb GNU Aspell spell-checker runtime library
libasprintf-dev_0.19.8.1-6+b1_amd64.deb GNU Internationalization library development files
libasprintf0v5_0.19.8.1-6+b1_amd64.deb GNU library to use fprintf and friends in C++
libasr-dev_1.0.2-1_amd64.deb asynchronous DNS resolver (development files)
libasr0_1.0.2-1_amd64.deb asynchronous DNS resolver
libass-dev_0.14.0-2_amd64.deb development files for libass
libass9_0.14.0-2_amd64.deb library for SSA/ASS subtitles rendering
libassa-3.5-5-dev_3.5.1-6+b1_amd64.deb object-oriented C++ networking library (development files)
libassa-3.5-5v5_3.5.1-6+b1_amd64.deb object-oriented C++ networking library
libassertj-core-java_2.3.0-4_all.deb Fluent assertions for Java
libassimp-dev_4.1.0~dfsg-4_amd64.deb 3D model import library (development)
libassimp-doc_4.1.0~dfsg-4_all.deb 3D model import library (documentation)
libassimp4_4.1.0~dfsg-4_amd64.deb 3D model import library
libassuan-dev_2.5.1-2_amd64.deb IPC library for the GnuPG components -- header files
Advertisement
Advertisement